image: docker:stable

stages:
  - build

variables:
  DOCKER_HOST: tcp://docker:2375/
  DOCKER_DRIVER: overlay2

services:
  - docker:dind

docker-image:
  stage: build
  variables:
    IMAGE: uiii-lib/yarn-link
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull -t $IMAGE .
    - docker tag $IMAGE $CI_REGISTRY_IMAGE:latest
    - docker tag $IMAGE $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
    - docker push $CI_REGISTRY_IMAGE:latest
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
  only:
    - /^[0-9]+\.[0-9]+\.[0-9]/
